Package com.macrofocus.high_d.parallelcoordinates

# Interface ParallelCoordinates<Component,Color,R,C>

All Superinterfaces:
  `com.macrofocus.crossplatform.CPComponent<Component>`

All Known Implementing Classes:
  `AbstractParallelCoordinates`, `JavaFXParallelCoordinates`

public interface ParallelCoordinates<Component,Color,R,C> extends com.macrofocus.crossplatform.CPComponent<Component>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ParallelCoordinatesController`
  `getController()`
  Returns the controller used by the parallel coordinates component.
  `ParallelCoordinatesModel<Color,R,C>`
  `getModel()`
  Returns the model used by the parallel coordinates component.
  `Component`
  `getNativeComponent()`
  `ParallelCoordinatesView<Component,Color,R,C>`
  `getView()`
  Returns the view used by the parallel coordinates component.
  `void`
  `setController(ParallelCoordinatesController controller)`
  Sets the controller to be used by the parallel coordinates component and register the view currently in use.
  `void`
  `setModel(ParallelCoordinatesModel<Color,R,C> model)`
  Sets the model to be used for the parallel coordinates component and register it to the view.
  `void`
  `setView(ParallelCoordinatesView<Component,Color,R,C> view)`
  Sets the view to be used by the parallel coordinates component and register the model currently in use.

  ### Methods inherited from interface com.macrofocus.crossplatform.CPComponent

  `setStyleClass`

- ## Method Details

  - ### getModel

    ParallelCoordinatesModel<Color,R,C> getModel()
    Returns the model used by the parallel coordinates component.
    Returns:
      the model in use

  - ### setModel

    void setModel(ParallelCoordinatesModel<Color,R,C> model)
    Sets the model to be used for the parallel coordinates component and register it to the view.
    Parameters:
      `model` - the model to be used

  - ### getView

    ParallelCoordinatesView<Component,Color,R,C> getView()
    Returns the view used by the parallel coordinates component.
    Returns:
      the view in use

  - ### setView

    void setView(ParallelCoordinatesView<Component,Color,R,C> view)
    Sets the view to be used by the parallel coordinates component and register the model currently in use. It will also register itself to the controller.
    Parameters:
      `view` - the view to be used

  - ### getController

    ParallelCoordinatesController getController()
    Returns the controller used by the parallel coordinates component.
    Returns:
      the controller in use

  - ### setController

    void setController(ParallelCoordinatesController controller)
    Sets the controller to be used by the parallel coordinates component and register the view currently in use.
    Parameters:
      `controller` - the controller in use

  - ### getNativeComponent

    Component getNativeComponent()
    Specified by:
      `getNativeComponent` in interface `com.macrofocus.crossplatform.CPComponent<Component>`